﻿using System;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SerialAssistant
{
    partial class ASCII : Form
    {
        //private IContainer components;

        private Panel panel1;

        private DataGridView dataGridView1;

        private StatusStrip statusStrip1;

        private ToolStripStatusLabel toolStripStatusLabel1;


        public ASCII()
        {
            this.InitializeComponent();
        }

        private void ASCII_Load(object sender, EventArgs e)
        {
            this.MinimumSize = base.Size;
            this.dataGridView1.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.Fill;
            this.dataGridView1.ReadOnly = true;
            this.Add_Data();
            this.Add_Data_1();
            this.dataGridView1.ClearSelection();
        }

        private void Add_Data_1()
        {
            for (int i = 33; i < 127; i++)
            {
                this.dataGridView1.Rows.Add();
                ASCIIEncoding aSCIIEncoding = new ASCIIEncoding();
                byte[] bytes = new byte[]
                {
                    (byte)i
                };
                string @string = aSCIIEncoding.GetString(bytes);
                this.dataGridView1.Rows[i].Cells[0].Value = @string;
                this.dataGridView1.Rows[i].Cells[1].Value = Convert.ToString(i, 2).PadLeft(8, '0');
                this.dataGridView1.Rows[i].Cells[2].Value = i;
                this.dataGridView1.Rows[i].Cells[3].Value = Convert.ToString(i, 8).PadLeft(3, '0');
                this.dataGridView1.Rows[i].Cells[4].Value = i.ToString("X2");
            }
        }

        private void Add_Data()
        {
            for (int i = 0; i < 33; i++)
            {
                this.dataGridView1.Rows.Add();
            }
            this.dataGridView1.Rows[0].Cells[0].Value = "NUL";
            this.dataGridView1.Rows[0].Cells[1].Value = "00000000";
            this.dataGridView1.Rows[0].Cells[2].Value = "0";
            this.dataGridView1.Rows[0].Cells[3].Value = "000";
            this.dataGridView1.Rows[0].Cells[4].Value = "00";
            this.dataGridView1.Rows[1].Cells[0].Value = "SOH";
            this.dataGridView1.Rows[1].Cells[1].Value = "00000001";
            this.dataGridView1.Rows[1].Cells[2].Value = "1";
            this.dataGridView1.Rows[1].Cells[3].Value = "001";
            this.dataGridView1.Rows[1].Cells[4].Value = "01";
            this.dataGridView1.Rows[2].Cells[0].Value = "STX";
            this.dataGridView1.Rows[2].Cells[1].Value = "00000010";
            this.dataGridView1.Rows[2].Cells[2].Value = "2";
            this.dataGridView1.Rows[2].Cells[3].Value = "002";
            this.dataGridView1.Rows[2].Cells[4].Value = "02";
            this.dataGridView1.Rows[3].Cells[0].Value = "ETX";
            this.dataGridView1.Rows[3].Cells[1].Value = "00000011";
            this.dataGridView1.Rows[3].Cells[2].Value = "3";
            this.dataGridView1.Rows[3].Cells[3].Value = "003";
            this.dataGridView1.Rows[3].Cells[4].Value = "03";
            this.dataGridView1.Rows[4].Cells[0].Value = "EOT";
            this.dataGridView1.Rows[4].Cells[1].Value = "00000100";
            this.dataGridView1.Rows[4].Cells[2].Value = "4";
            this.dataGridView1.Rows[4].Cells[3].Value = "004";
            this.dataGridView1.Rows[4].Cells[4].Value = "04";
            this.dataGridView1.Rows[5].Cells[0].Value = "ENQ";
            this.dataGridView1.Rows[5].Cells[1].Value = "00000101";
            this.dataGridView1.Rows[5].Cells[2].Value = "5";
            this.dataGridView1.Rows[5].Cells[3].Value = "005";
            this.dataGridView1.Rows[5].Cells[4].Value = "05";
            this.dataGridView1.Rows[6].Cells[0].Value = "ACK";
            this.dataGridView1.Rows[6].Cells[1].Value = "00000110";
            this.dataGridView1.Rows[6].Cells[2].Value = "6";
            this.dataGridView1.Rows[6].Cells[3].Value = "006";
            this.dataGridView1.Rows[6].Cells[4].Value = "06";
            this.dataGridView1.Rows[7].Cells[0].Value = "BEL";
            this.dataGridView1.Rows[7].Cells[1].Value = "00000111";
            this.dataGridView1.Rows[7].Cells[2].Value = "7";
            this.dataGridView1.Rows[7].Cells[3].Value = "007";
            this.dataGridView1.Rows[7].Cells[4].Value = "07";
            this.dataGridView1.Rows[8].Cells[0].Value = "BS";
            this.dataGridView1.Rows[8].Cells[1].Value = "00001000";
            this.dataGridView1.Rows[8].Cells[2].Value = "8";
            this.dataGridView1.Rows[8].Cells[3].Value = "010";
            this.dataGridView1.Rows[8].Cells[4].Value = "08";
            this.dataGridView1.Rows[9].Cells[0].Value = "HT";
            this.dataGridView1.Rows[9].Cells[1].Value = "00001001";
            this.dataGridView1.Rows[9].Cells[2].Value = "9";
            this.dataGridView1.Rows[9].Cells[3].Value = "011";
            this.dataGridView1.Rows[9].Cells[4].Value = "09";
            this.dataGridView1.Rows[10].Cells[0].Value = "NL";
            this.dataGridView1.Rows[10].Cells[1].Value = "00001010";
            this.dataGridView1.Rows[10].Cells[2].Value = "10";
            this.dataGridView1.Rows[10].Cells[3].Value = "012";
            this.dataGridView1.Rows[10].Cells[4].Value = "0A";
            this.dataGridView1.Rows[11].Cells[0].Value = "VT";
            this.dataGridView1.Rows[11].Cells[1].Value = "00001011";
            this.dataGridView1.Rows[11].Cells[2].Value = "11";
            this.dataGridView1.Rows[11].Cells[3].Value = "013";
            this.dataGridView1.Rows[11].Cells[4].Value = "0B";
            this.dataGridView1.Rows[12].Cells[0].Value = "FF";
            this.dataGridView1.Rows[12].Cells[1].Value = "00001100";
            this.dataGridView1.Rows[12].Cells[2].Value = "12";
            this.dataGridView1.Rows[12].Cells[3].Value = "014";
            this.dataGridView1.Rows[12].Cells[4].Value = "0C";
            this.dataGridView1.Rows[13].Cells[0].Value = "ER";
            this.dataGridView1.Rows[13].Cells[1].Value = "00001101";
            this.dataGridView1.Rows[13].Cells[2].Value = "13";
            this.dataGridView1.Rows[13].Cells[3].Value = "015";
            this.dataGridView1.Rows[13].Cells[4].Value = "0D";
            this.dataGridView1.Rows[14].Cells[0].Value = "SO";
            this.dataGridView1.Rows[14].Cells[1].Value = "00001110";
            this.dataGridView1.Rows[14].Cells[2].Value = "14";
            this.dataGridView1.Rows[14].Cells[3].Value = "016";
            this.dataGridView1.Rows[14].Cells[4].Value = "0E";
            this.dataGridView1.Rows[15].Cells[0].Value = "SI";
            this.dataGridView1.Rows[15].Cells[1].Value = "00001111";
            this.dataGridView1.Rows[15].Cells[2].Value = "15";
            this.dataGridView1.Rows[15].Cells[3].Value = "017";
            this.dataGridView1.Rows[15].Cells[4].Value = "0F";
            this.dataGridView1.Rows[16].Cells[0].Value = "DLE";
            this.dataGridView1.Rows[16].Cells[1].Value = "00010000";
            this.dataGridView1.Rows[16].Cells[2].Value = "16";
            this.dataGridView1.Rows[16].Cells[3].Value = "020";
            this.dataGridView1.Rows[16].Cells[4].Value = "10";
            this.dataGridView1.Rows[17].Cells[0].Value = "DC1";
            this.dataGridView1.Rows[17].Cells[1].Value = "00010001";
            this.dataGridView1.Rows[17].Cells[2].Value = "17";
            this.dataGridView1.Rows[17].Cells[3].Value = "021";
            this.dataGridView1.Rows[17].Cells[4].Value = "11";
            this.dataGridView1.Rows[18].Cells[0].Value = "DC2";
            this.dataGridView1.Rows[18].Cells[1].Value = "00010010";
            this.dataGridView1.Rows[18].Cells[2].Value = "18";
            this.dataGridView1.Rows[18].Cells[3].Value = "022";
            this.dataGridView1.Rows[18].Cells[4].Value = "12";
            this.dataGridView1.Rows[19].Cells[0].Value = "DC3";
            this.dataGridView1.Rows[19].Cells[1].Value = "00010011";
            this.dataGridView1.Rows[19].Cells[2].Value = "19";
            this.dataGridView1.Rows[19].Cells[3].Value = "023";
            this.dataGridView1.Rows[19].Cells[4].Value = "13";
            this.dataGridView1.Rows[20].Cells[0].Value = "DC4";
            this.dataGridView1.Rows[20].Cells[1].Value = "00010100";
            this.dataGridView1.Rows[20].Cells[2].Value = "20";
            this.dataGridView1.Rows[20].Cells[3].Value = "024";
            this.dataGridView1.Rows[20].Cells[4].Value = "14";
            this.dataGridView1.Rows[21].Cells[0].Value = "NAK";
            this.dataGridView1.Rows[21].Cells[1].Value = "00010101";
            this.dataGridView1.Rows[21].Cells[2].Value = "21";
            this.dataGridView1.Rows[21].Cells[3].Value = "025";
            this.dataGridView1.Rows[21].Cells[4].Value = "15";
            this.dataGridView1.Rows[22].Cells[0].Value = "SYN";
            this.dataGridView1.Rows[22].Cells[1].Value = "00010110";
            this.dataGridView1.Rows[22].Cells[2].Value = "22";
            this.dataGridView1.Rows[22].Cells[3].Value = "026";
            this.dataGridView1.Rows[22].Cells[4].Value = "16";
            this.dataGridView1.Rows[23].Cells[0].Value = "ETB";
            this.dataGridView1.Rows[23].Cells[1].Value = "00010111";
            this.dataGridView1.Rows[23].Cells[2].Value = "23";
            this.dataGridView1.Rows[23].Cells[3].Value = "027";
            this.dataGridView1.Rows[23].Cells[4].Value = "17";
            this.dataGridView1.Rows[24].Cells[0].Value = "CAN";
            this.dataGridView1.Rows[24].Cells[1].Value = "00011000";
            this.dataGridView1.Rows[24].Cells[2].Value = "24";
            this.dataGridView1.Rows[24].Cells[3].Value = "030";
            this.dataGridView1.Rows[24].Cells[4].Value = "18";
            this.dataGridView1.Rows[25].Cells[0].Value = "EM";
            this.dataGridView1.Rows[25].Cells[1].Value = "00011001";
            this.dataGridView1.Rows[25].Cells[2].Value = "25";
            this.dataGridView1.Rows[25].Cells[3].Value = "031";
            this.dataGridView1.Rows[25].Cells[4].Value = "19";
            this.dataGridView1.Rows[26].Cells[0].Value = "SUB";
            this.dataGridView1.Rows[26].Cells[1].Value = "00011010";
            this.dataGridView1.Rows[26].Cells[2].Value = "26";
            this.dataGridView1.Rows[26].Cells[3].Value = "032";
            this.dataGridView1.Rows[26].Cells[4].Value = "1A";
            this.dataGridView1.Rows[27].Cells[0].Value = "ESC";
            this.dataGridView1.Rows[27].Cells[1].Value = "00011011";
            this.dataGridView1.Rows[27].Cells[2].Value = "27";
            this.dataGridView1.Rows[27].Cells[3].Value = "033";
            this.dataGridView1.Rows[27].Cells[4].Value = "1B";
            this.dataGridView1.Rows[28].Cells[0].Value = "FS";
            this.dataGridView1.Rows[28].Cells[1].Value = "00011100";
            this.dataGridView1.Rows[28].Cells[2].Value = "28";
            this.dataGridView1.Rows[28].Cells[3].Value = "034";
            this.dataGridView1.Rows[28].Cells[4].Value = "1C";
            this.dataGridView1.Rows[29].Cells[0].Value = "GS";
            this.dataGridView1.Rows[29].Cells[1].Value = "00011101";
            this.dataGridView1.Rows[29].Cells[2].Value = "29";
            this.dataGridView1.Rows[29].Cells[3].Value = "035";
            this.dataGridView1.Rows[29].Cells[4].Value = "1D";
            this.dataGridView1.Rows[30].Cells[0].Value = "RE";
            this.dataGridView1.Rows[30].Cells[1].Value = "00011110";
            this.dataGridView1.Rows[30].Cells[2].Value = "30";
            this.dataGridView1.Rows[30].Cells[3].Value = "036";
            this.dataGridView1.Rows[30].Cells[4].Value = "1E";
            this.dataGridView1.Rows[31].Cells[0].Value = "US";
            this.dataGridView1.Rows[31].Cells[1].Value = "00011111";
            this.dataGridView1.Rows[31].Cells[2].Value = "31";
            this.dataGridView1.Rows[31].Cells[3].Value = "037";
            this.dataGridView1.Rows[31].Cells[4].Value = "1F";
            this.dataGridView1.Rows[32].Cells[0].Value = "SP";
            this.dataGridView1.Rows[32].Cells[1].Value = "00100000";
            this.dataGridView1.Rows[32].Cells[2].Value = "32";
            this.dataGridView1.Rows[32].Cells[3].Value = "040";
            this.dataGridView1.Rows[32].Cells[4].Value = "20";
        }

        private void InitializeComponent()
        {
            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
            this.panel1 = new System.Windows.Forms.Panel();
            this.statusStrip1 = new System.Windows.Forms.StatusStrip();
            this.toolStripStatusLabel1 = new System.Windows.Forms.ToolStripStatusLabel();
            this.dataGridView1 = new System.Windows.Forms.DataGridView();
            this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.Column4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.Column5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.panel1.SuspendLayout();
            this.statusStrip1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.dataGridView1)).BeginInit();
            this.SuspendLayout();
            // 
            // panel1
            // 
            this.panel1.Controls.Add(this.statusStrip1);
            this.panel1.Controls.Add(this.dataGridView1);
            this.panel1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.panel1.Location = new System.Drawing.Point(0, 0);
            this.panel1.Name = "panel1";
            this.panel1.Size = new System.Drawing.Size(543, 380);
            this.panel1.TabIndex = 0;
            // 
            // statusStrip1
            // 
            this.statusStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.toolStripStatusLabel1});
            this.statusStrip1.Location = new System.Drawing.Point(0, 358);
            this.statusStrip1.Name = "statusStrip1";
            this.statusStrip1.Size = new System.Drawing.Size(543, 22);
            this.statusStrip1.TabIndex = 1;
            this.statusStrip1.Text = "statusStrip1";
            // 
            // toolStripStatusLabel1
            // 
            this.toolStripStatusLabel1.Name = "toolStripStatusLabel1";
            this.toolStripStatusLabel1.Size = new System.Drawing.Size(53, 17);
            this.toolStripStatusLabel1.Text = "ready！";
            // 
            // dataGridView1
            // 
            this.dataGridView1.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.dataGridView1.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.Column1,
            this.Column2,
            this.Column3,
            this.Column4,
            this.Column5});
            this.dataGridView1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.dataGridView1.Location = new System.Drawing.Point(0, 0);
            this.dataGridView1.Name = "dataGridView1";
            this.dataGridView1.RowTemplate.Height = 23;
            this.dataGridView1.Size = new System.Drawing.Size(543, 380);
            this.dataGridView1.TabIndex = 0;
  
            // 
            // Column1
            // 
            this.Column1.HeaderText = "字符";
            this.Column1.Name = "Column1";
            this.Column1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
            // 
            // Column2
            // 
            dataGridViewCellStyle2.Font = new System.Drawing.Font("微软雅黑", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.Column2.DefaultCellStyle = dataGridViewCellStyle2;
            this.Column2.HeaderText = "二进制";
            this.Column2.Name = "Column2";
            this.Column2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
            // 
            // Column3
            // 
            this.Column3.HeaderText = "十进制";
            this.Column3.Name = "Column3";
            this.Column3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
            // 
            // Column4
            // 
            this.Column4.HeaderText = "八进制";
            this.Column4.Name = "Column4";
            this.Column4.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
            // 
            // Column5
            // 
            this.Column5.HeaderText = "十六进制";
            this.Column5.Name = "Column5";
            this.Column5.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
            // 
            // ASCII
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 12F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(543, 380);
            this.Controls.Add(this.panel1);
            this.Name = "ASCII";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "ASCII参照表";
            this.Load += new System.EventHandler(this.ASCII_Load);
            this.panel1.ResumeLayout(false);
            this.panel1.PerformLayout();
            this.statusStrip1.ResumeLayout(false);
            this.statusStrip1.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.dataGridView1)).EndInit();
            this.ResumeLayout(false);

        }

    }
}
